<div class="login-page-container">
  <div class="login-box">
    <h2>Login to Evil Factory</h2>

    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" novalidate>
      <div class="form-group">
        <input
          class="form-control"
          id="username"
          type="text"
          placeholder="Username"
          formControlName="username"
          [ngClass]="{
            'is-invalid': loginForm.get('username').invalid && !loginForm.get('username').pristine
          }"
        />
      </div>

      <div class="form-group">
        <input
          class="form-control"
          id="password"
          type="password"
          placeholder="Password"
          formControlName="password"
          [ngClass]="{
            'is-invalid': loginForm.get('password').invalid && !loginForm.get('password').pristine
          }"
        />
        <div *ngIf="loginForm.get('password').invalid && !loginForm.get('password').pristine" class="invalid-feedback">
          Password should be at least 6 characters
        </div>
      </div>

      <button type="submit" [disabled]="!loginForm.valid" class="btn btn-primary">Login</button>
    </form>
  </div>
</div>
